Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Warning your browser does not accept script's cookies AGAIN.  (Read 4526 times)

0 Members and 1 Guest are viewing this topic.

swisswuff

  • Coppermine newbie
  • Offline Offline
  • Posts: 5
Warning your browser does not accept script's cookies AGAIN.
« on: January 27, 2005, 10:43:11 am »

The following error occurs, despite all settings of browsers being set to accept cookies, and despite said settings having been tested using other software that, also, sets cookies. So it is neither a firewire setting, nor privacy setting, of any kind, that possibly can cause the problem, as Coppermine gallery is the ONLY program that causes this error while other programs running on the same Apache/pHp/mySQL setting can easily manage their cookies without errors:

"Warning your browser does not accept script's cookies"

Please advise what to do. The current four listings of answers contained in this list after searching for that error messsage text are not helpful as they do not alleviate this problem.

Thank you very much!
Logged

Aditya Mooley

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 781
    • My Sweet Home
Re: Warning your browser does not accept script's cookies AGAIN.
« Reply #1 on: January 27, 2005, 11:13:21 am »

Post your sites URL and the test account so that we can check the problem.
Logged
--- "Its Nice 2 BE Important but its more Important 2 Be NICE" ---
Follow Coppermine on Twitter

swisswuff

  • Coppermine newbie
  • Offline Offline
  • Posts: 5
Re: Warning your browser does not accept script's cookies AGAIN.
« Reply #2 on: January 31, 2005, 01:02:52 pm »

The image database runs internally due to sensitive material (case work, etc), so I could not organize for anyone to have access. But in the meantime, I identified the problem and resolved the error.

Here is what I found out:

Cookies did not seem to be a real concern to our setup (all browsers had cookies enabled; all browsers ran competitive programs and other pHp-based software, such as Menalto Image Gallery, pHpBB, pHpMyAdmin, OWL, et cetera; we tested from different operating systems). So the error was most likely to be caused by Coppermine Gallery not being compatible with our setup, seeing as if Coppermine Gallery -generally- runs well.

Following the checklist, I started with system-requirements and version-checking, and I found very quickly, that our pHp-Version was 5 instead of 4.x. It would be generally helpful to have Coppermine highlight this particular incompatibility instead of displaying this misleading and unhelpful 'cookie' error. For further reference, it would be good to enter into a FAQ that ONE of the possible solutions to the error "Warning your browser does not accept script's cookies' can be an upgraded pHp version.

Here is the link to the relevant post:
http://forum.coppermine-gallery.net/index.php?topic=13370;prev_next=next

Here is the fix:

Edit php.ini:
 "register_long_arrays = On" in php.ini.

Restart Apache webserver.

Now it works nicely :-) !
Logged

Nibbler

  • Guest
Re: Warning your browser does not accept script's cookies AGAIN.
« Reply #3 on: January 31, 2005, 02:27:39 pm »

Any future releases will not need that setting, so changing the documentation is uneccessary. If you choose to use PHP 5 then you should be aware of the compatiblity issues you would ecounter with many scripts designed for PHP 4.
Logged

swisswuff

  • Coppermine newbie
  • Offline Offline
  • Posts: 5
Re: Warning your browser does not accept script's cookies AGAIN.
« Reply #4 on: January 31, 2005, 10:02:59 pm »

From the Coppermine documentation, where it says "requirements":

1. What is required

    * A web server that supports PHP (the script should work with any version >= 4.1.0)
    * A MySQL database
    * PHP compiled with the support for the GD library or the ImageMagick "convert" utility in order to make thumbnails and reduced size images


With the amount of time you spent typing your reply which I would rate 0/5 in terms of helpfulness, the information could easily have been added to the documentation.
Logged

Casper

  • VIP
  • Coppermine addict
  • ***
  • Country: 00
  • Offline Offline
  • Gender: Male
  • Posts: 5231
Re: Warning your browser does not accept script's cookies AGAIN.
« Reply #5 on: February 01, 2005, 12:21:58 am »

And with your obvious great experience with using forums, I would have expected you to read the titles of the forums you are posting in. 

 General discussion (no support!)

Which bit of 'no support' did you not understand.
And you posted first, searched later, wasting our time trying to provide help you didn't actually need, because the answer was already there for you.

How many points should we give you for these failures to follow our basic rules.

Nibbler was simply pointing out that php 5 requires to be configured correctly, or many scripts will fail.
Logged
It has been a long time now since I did my little bit here, and have done no coding or any other such stuff since. I'm back to being a noob here
Pages: [1]   Go Up
 

Page created in 0.337 seconds with 19 queries.